# Draw
TKDCAF
DDF

# DDF_StackIteratorOfTransactionStack Class Reference

`#include <DDF_StackIteratorOfTransactionStack.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | DDF_StackIteratorOfTransactionStack ()
Standard_EXPORT | DDF_StackIteratorOfTransactionStack (const DDF_TransactionStack &S)
Standard_EXPORT void | Initialize (const DDF_TransactionStack &S)
Standard_Boolean | More () const
Standard_EXPORT void | Next ()
Standard_EXPORT const Handle_DDF_Transaction & | Value () const

## Private Attributes

Standard_Address | current

## Constructor & Destructor Documentation

Standard_EXPORT DDF_StackIteratorOfTransactionStack::DDF_StackIteratorOfTransactionStack | ( |  | ) |

Standard_EXPORT DDF_StackIteratorOfTransactionStack::DDF_StackIteratorOfTransactionStack | ( | const DDF_TransactionStack & | S | ) |

## Member Function Documentation

Standard_EXPORT void DDF_StackIteratorOfTransactionStack::Initialize | ( | const DDF_TransactionStack & | S | ) |

Standard_Boolean DDF_StackIteratorOfTransactionStack::More | ( |  | ) | const

Standard_EXPORT void DDF_StackIteratorOfTransactionStack::Next | ( |  | ) |

void DDF_StackIteratorOfTransactionStack::operator delete | ( | void * | anAddress | ) | `[inline]`

void* DDF_StackIteratorOfTransactionStack::operator new | ( | size_t | size | ) | `[inline]`

void* DDF_StackIteratorOfTransactionStack::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const Handle_DDF_Transaction& DDF_StackIteratorOfTransactionStack::Value | ( |  | ) | const

## Field Documentation

Standard_Address DDF_StackIteratorOfTransactionStack::current `[private]`

The documentation for this class was generated from the following file:

- DDF_StackIteratorOfTransactionStack.hxx